# classes/phing/tasks/ext/phpunit/formatter/PHPUnitResultFormatter.php

## \PHPUnitResultFormatter
jump to top

This abstract class describes classes that format the results of a PHPUnit testrun.

Implements
author
  Michiel Rook
package
  phing.tasks.ext.phpunit.formatter
since
  2.1.0
version
  $Id: PHPUnitResultFormatter.php 796 2010-06-24 14:36:00Z mrook $

### Properties

`$errorCounts= 'false'`
Default value `false` Details

Type

`$failureCounts= 'false'`
Default value `false` Details

Type

`$incompleteCounts= 'false'`
Default value `false` Details

Type

`$out= 'NULL'`
Default value `NULL` Details

Type

`$project= 'NULL'`
Default value `NULL` Details

Type

`$runCounts= 'false'`
Default value `false` Details

Type

`$skipCounts= 'false'`
Default value `false` Details

Type

`$timers= 'false'`
Default value `false` Details

Type

### Methods

`__construct( \PHPUnitTask $parentTask ) :`
Constructor
Parameters

Name | Type | Description
--- | --- | ---
$parentTask | \PHPUnitTask | Calling Task

`addError( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addFailure( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addIncompleteTest( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addSkippedTest( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`endTest( $test, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$time |  |

`endTestRun( ) :`
`endTestSuite( $suite ) :`
Parameters

Name | Type | Description
--- | --- | ---
$suite |  |

`getElapsedTime( ) :`
`getErrorCount( ) :`
`getExtension( ) : string`
Returns the extension used for this formatter
Returns

Type | Description
--- | ---
string |

`getFailureCount( ) :`
`getIncompleteCount( ) :`
`getMicrotime( ) :`
`getPreferredOutfile( ) :`
`getRunCount( ) :`
`getSkippedCount( ) :`
`processResult( $result ) :`
Parameters

Name | Type | Description
--- | --- | ---
$result |  |

`setOutput( $out ) :`
Sets the writer the formatter is supposed to write its results to.
Parameters

Name | Type | Description
--- | --- | ---
$out |  |

`startTest( $test ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |

`startTestRun( ) :`
`startTestSuite( $suite ) :`
Parameters

Name | Type | Description
--- | --- | ---
$suite |  |

Documentation was generated by DocBlox 0.13.1.